SND_DMAENGINE_PCM_PR(9)

NAME
snd_dmaengine_pcm_prepare_slave_config - Generic prepare_slave_config callback

SYNOPSIS

int snd_dmaengine_pcm_prepare_slave_config(struct snd_pcm_substream * substream, struct snd_pcm_hw_params * params, struct dma_slave_config * slave_config);

ARGUMENTS

substream
    PCM substream

params
    hw_params

slave_config
    DMA slave config to prepare

DESCRIPTION

This function can be used as a generic prepare_slave_config callback for platforms which make use of the snd_dmaengine_dai_dma_data struct for their DAI DMA data. Internally the function will first call snd_hwparams_to_dma_slave_config to fill in the slave config based on the hw_params, followed by snd_dmaengine_set_config_from_dai_data to fill in the remaining fields based on the DAI DMA data.

COPYRIGHT